local function LineActor(width)
	return Def.Quad({
		InitCommand = function(self)
			self:diffuse(1, 1, 1, 0.9)
			self:zoomto(width, 1)
			self:fadeleft(1)
			self:faderight(1)
		end,
	})
end

return Def.ActorFrame({
    InitCommand = function(self)
        self:Center()
    end,
    OnCommand = function(self)
        self:zoomy(0)
        self:diffusealpha(0)
        self:decelerate(0.2)
        self:zoomy(1)
        self:diffusealpha(1)
    end,
    OffCommand = function(self)
        self:decelerate(0.2)
        self:zoomx(0)
        self:diffusealpha(0)
    end,
    Def.Quad({
        InitCommand = function(self)
            self:diffuse(0.1, 0.1, 0.1, 0.75)
            self:zoomto(SCREEN_WIDTH+2, 340)
        end,
    }),
    LineActor(SCREEN_WIDTH+2)..{
        InitCommand = function(self)
            self:y(-170)
        end,
    },
    LineActor(SCREEN_WIDTH+2)..{
        InitCommand = function(self)
            self:y(170)
        end,
    },
})