local function update(self, delta)
    local song = GAMESTATE:GetCurrentSong()
    MESSAGEMAN:Broadcast('SelectMusicUpdate', {
		Delta = delta,
        Song  = song or nil,
        Beat  = GAMESTATE:GetSongBeat(),
    })
end

return Def.ActorFrame({
	InitCommand=function(self)
		self:SetUpdateFunction(update)
	end,
	SelectMusicUpdateMessageCommand=function(self, params)
		MESSAGEMAN:Broadcast('ScreenUpdate', {
			Delta    = params.Delta,
			Song     = params.Song,
			Beat     = params.Beat,
			Gameplay = false,
		})
	end,
})