return Def.ActorFrame({
    Def.ActorFrame({
        Name = 'Parts',
        LoadActor(THEME:GetPathG('', 'ScreenSelectMusic/decorations'))..{
            CancelCommand = function(self)
                self:linear(0.25)
                self:zoomx(1.5*8)
                self:skewx(-5)
            end,
        },
    }),
    -- バナー情報取得（表示しない）
	Def.Banner({
        InitCommand = function(self)
			self:visible(false)
		end,
		CurrentSongChangedMessageCommand = function(self, params)
            MESSAGEMAN:Broadcast('UpdateSteps', {
                    Song = W:Song(),
            })
        end,
		CurrentStepsChangedCommand = function(self, params)
            local steps = W:Steps(params.Player)
            local difficulty = nil
            local stepName   = nil
            if steps then
                difficulty = steps:GetDifficulty()
                stepName   = string.upper(steps:GetDescription())
            end
            MESSAGEMAN:Broadcast('UpdateSteps', {
                    Player     = params.Player,
                    Difficulty = difficulty,
                    StepName   = stepName,
                    Steps      = steps,
                    Song       = W:Song(),
            })
        end,
        CurrentStepsP1ChangedMessageCommand = function(self)
			self:playcommand('CurrentStepsChanged',{Player = PLAYER_1})
		end,
        CurrentStepsP2ChangedMessageCommand = function(self)
			self:playcommand('CurrentStepsChanged',{Player = PLAYER_2})
		end,
    }),
})