if not IsHome() then return Def.ActorFrame({}) end

local blurActor = LoadActor(W:Object('blur'))

-- decorationsではunderlayの内容をすりガラス風のぼかしで表示する
return Def.ActorFrame({
	Def.ActorFrame({
		OnCommand = function(self)
            self:playcommand('ResizeBlur', {
                Left   = SCREEN_RIGHT - 200,
                Right  = SCREEN_RIGHT,
                Top    = SCREEN_TOP,
                Bottom = SCREEN_BOTTOM,
            })
		end,
		LoadActor(W:Object('boxshadow'), 1, {
			Length = 32,
			Center = color('0, 0, 0.2, 0.25'),
		})..{
			OnCommand = function(self)
				self:xy(SCREEN_RIGHT - 100, SCREEN_CENTER_Y)
				self:playcommand('UpdateBoxShadow', {
					Id  = 1,
					Width  = 200,
					Height = SCREEN_HEIGHT,
				})
			end,
		},
		-- ぼかし
		blurActor:Background(),
		blurActor:Mask(),
		blurActor:Texture(),
		LoadActor(THEME:GetPathG('', 'ScreenTitleMenu/side'))..{
			OnCommand = function(self)
				self:x(SCREEN_RIGHT-200)
			end,
		},
		LoadFont('Common Small Normal')..{
			Text = THEME:GetString('Caution', 'Translation'),
			OnCommand = function(self)
				self:horizalign(right)
				self:vertalign(top)
				self:xy(SCREEN_WIDTH - 210, 10)
				self:zoom(0.3)
				self:diffusealpha(0.8)
				self:vertspacing(20*0.3)
				self:strokecolor(Color('Outline'))
			end,
		},
	}),
})