return Def.ActorFrame({
    LoadFont('Common Normal')..{
        Text = THEME:GetString('ScreenExpired', 'Title'),
        OnCommand = function(self)
            self:zoom(1.2)
            self:y(-80)
            self:diffusealpha(0)
            self:addy(-50)
            self:bounceend(0.2)
            self:addy(50)
            self:diffusealpha(1)
        end,
    },
    LoadFont('Common Normal')..{
        Text = THEME:GetString('ScreenExpired', 'Body'),
        OnCommand = function(self)
            self:zoom(0.8)
            self:y(40)
            self:vertspacing(5)
            self:diffusealpha(0)
            self:addy(-50)
            self:sleep(0.4)
            self:bounceend(0.2)
            self:addy(50)
            self:diffusealpha(1)
        end,
    },
    Def.HelpDisplay({
        File = 'Common Small Normal',
        OnCommand = function(self)
            self:SetSecsBetweenSwitches(3.0)
            self:SetTipsColonSeparated(THEME:GetString('ScreenExpired', 'HelperText'))
            self:zoom(0.5)
            self:y(SCREEN_CENTER_Y - 20)
        end,
    }),
})