-- Score
local pn = ...
local displayScore = 0

return Def.ActorFrame{
    LoadFont('waiei2 Score Numbers')..{
        InitCommand = function(self)
            self:diffuse(Color('White'))
            self:zoom(1.3)
            self:settext('')
        end,
        ScreenUpdateMessageCommand = function(self, params)
            local stats = STATSMAN:GetCurStageStats():GetPlayerStageStats(pn)
            if stats then
                local currentScore = stats:GetScore()
                if currentScore > displayScore then
                    displayScore = displayScore + math.ceil((currentScore - displayScore) / 2.5)
                elseif currentScore < displayScore then
                    displayScore = currentScore
                end
                local formatScore = W_STRING:Number(displayScore)
                local lenScore = string.len(''..displayScore)
                self:settext(formatScore)
                self:ClearAttributes()
                self:AddAttribute(0, {
                    Length = math.max(string.len(formatScore) - (lenScore + math.floor((lenScore-1)/3)), 0),
                    Diffuse = color('#ffffff80'),
                })
            end
        end,
    },
};