local wait = ...
local file = '/Themes/_fallback/Graphics/Common splash.png'
local function SplashActor()
    if W:IsOF() then
        return LoadFont('Common Normal')..{
            Text = string.format('%s\n%s', ProductFamily(), ProductVersion()),
            OnCommand = function(self)
                self:diffuse(Color('Black'))
                self:vertspacing(5)
                self:zoom(1)
                self:y(0)
                self:addy(-100)
                self:diffusealpha(0)
                self:sleep(wait)
                self:bounceend(0.2)
                self:addy(100)
                self:diffusealpha(1)
            end,
        }
    end
    return Def.Sprite({
        OnCommand = function(self)
            self:Load(file)
            self:zoom(1)
            self:scaletofit(-250, -250, 250, 250)
            self:y(0)
            self:addy(-100)
            self:diffusealpha(0)
            self:sleep(wait)
            self:bounceend(0.2)
            self:addy(100)
            self:diffusealpha(1)
        end,
    })
end
return Def.ActorFrame({
    SplashActor(),
})