local width, clock = ...
local function arrowActor()
    return Def.ActorFrame({
        OnCommand = function(self)
            --[[
            self:diffuseshift()
            self:effectcolor1(color('#ffffff99'))
            self:effectcolor2(color('#ffffff66'))
            --]]
            self:thump(1)
            self:effectclock(clock or 'beat')
        end,
        Def.ActorMultiVertex({
            OnCommand = function(self)
                local v = {
                    {{ 3,   0, 0}, color('#ffffffc0')},
                    {{-3,  20, 0}, color('#ffffff66')},
                    {{ 0,   0, 0}, color('#ffffffc0')},
                    {{-3, -20, 0}, color('#ffffff66')},
                }
                self:SetDrawState({Mode = 'DrawMode_Quads'})
                self:SetVertices(1, v)
            end,
        }),
    })
end

return Def.ActorFrame({
    arrowActor()..{
        OnCommand = function(self)
            self:x(-(width / 2 + 10))
            self:rotationy(180)
        end,
    },
    arrowActor()..{
        OnCommand = function(self)
            self:x((width / 2 + 10))
        end,
    },
})