local size = 230
local Banner = LoadActor(W:Object('banner'), {
    Song  = W:Song(),
    Size  = size,
    Ratio = size/130,
    Cache = 0,
    Rate  = 0.25,
})


return Def.ActorFrame({
    OnCommand = function(self)
        self:x(0)
    end,
    LoadActor(W:Object('boxshadow'), 'BannerFrame', {
        Length = 20,
        Color  = {0, 0, 0, 0.4},
        Center = {0, 0, 0, 0.8},
    })..{
        UpdateBannerShadowCommand = function(self, params)
            self:playcommand('UpdateBoxShadow', {
                Id         = 'BannerFrame',
                Width      = params.MaxWidth,
                Height     = params.RealHeight,
            })
        end,
    },
    -- バナー
    Banner:Actor()..{
        CurrentSongChangedMessageCommand = function(self, params)
            self:playcommand('UpdateBanner', {
                Path = GAMESTATE:IsCourseMode()
                        and W_GRAPHICS:CourseBanner()
                        or W_GRAPHICS:SongBanner(W:Song()),
            })
        end,
        CallbackBannerCommand = function(self, params)
            self:GetParent():playcommand('UpdateBannerShadow', params)
        end,
    },
})