local text, offWait = ...

local w,h = SCREEN_CENTER_X, 20
return Def.ActorFrame({
    OnCommand = function(self)
        self:xy(-SCREEN_CENTER_X + w/2, -SCREEN_CENTER_Y + h/2 + 2)
        self:addx(-SCREEN_CENTER_X)
        self:sleep(0.4)
        self:decelerate(0.2)
        self:addx(SCREEN_CENTER_X)
    end,
    OffCommand = function(self)
        self:playcommand('OffHeader')
    end,
    -- Offが呼び出されない画面からコール用
    OffHeaderMessageCommand = function(self)
        self:sleep(offWait or 0.4)
        self:decelerate(0.2)
        self:addx(SCREEN_CENTER_X)
        self:diffusealpha(0)
    end,
    Def.Quad({
        InitCommand = function(self)
            self:zoomto(w, h+4)
            self:diffuse(0, 0, 0, 0.5)
            self:faderight(1)
        end,
    }),
    Def.Quad({
        InitCommand = function(self)
            self:zoomto(w, 1)
            self:diffuse(1, 1, 1, 0.75)
            self:y(h/2+2)
            self:faderight(1)
        end,
    }),
    LoadFont('Common Small Normal')..{
        Text = text or '',
        InitCommand = function(self)
            self:zoom(0.5)
            self:x(-w/2 + 15)
            self:horizalign(left)
            self:maxwidth((w-30) / 0.5)
            self:diffuse(0, 0, 0, 1)
            self:diffuse(1, 1, 1, 0.8)
        end,
    }
})