local mode = ...
mode = mode or false
return Def.ActorFrame({
    Def.ActorFrame({
        FOV = 60,
        InitCommand = function(self)
            self:zoom(0.8)
        end,
        LoadActor('fan')..{
            InitCommand = function(self)
                self:rotationx(-30)
                self:rotationy(30)
                self:xy(0, 20)
                self:diffusealpha(0.5)
            end,
            OnCommand = function(self)
                self:diffusealpha(0)
                self:addx(100)
                self:rotationz(-30)
                self:decelerate(0.6)
                self:diffusealpha(0.5)
                self:addx(-100)
                self:rotationz(0)
                self:queuecommand('Spin')
            end,
            SpinCommand = function(self)
                self:spin()
                self:effectmagnitude(0, 0, 3)
            end,
        },
        LoadActor('icon')..{
            InitCommand = function(self)
                self:x(-170)
            end,
            OnCommand = function(self)
                self:diffusealpha(0)
                self:addx(100)
                self:decelerate(0.2)
                self:diffusealpha(1)
                self:addx(-100)
            end,
        },
        LoadActor('logo')..{
            InitCommand = function(self)
                self:x(60)
            end,
            OnCommand = function(self)
                self:diffusealpha(0)
                self:addx(100)
                self:decelerate(0.4)
                self:diffusealpha(1)
                self:addx(-100)
            end,
        },
    }),
})