return Def.ActorFrame({
    InitCommand = function(self)
        self:Center()
    end,
    Def.ActorFrame({
        OnCommand = function(self)
            self:y(-10)
            self:addy(-200)
            self:diffusealpha(0)
            self:bounceend(0.3)
            self:addy(200)
            self:diffusealpha(1)
        end,
        LoadActor(W:Object('boxshadow'), 'Bg', {
            Width  = 620,
            Height = 280,
            Center  = color('#00000080'),
            Color  = color('#000000C0'),
            Length = 30,
        })..{
            OnCommand = function(self)
                self:playcommand('UpdateBoxShadow', {
                    Id     = 'Bg',
                    Width  = 620,
                    Height = 280,
                })
            end,
        },
        Def.Quad({
            InitCommand = function(self)
                self:zoomto(620, 280)
                self:blend('BlendMode_Add')
                self:diffuseshift()
                self:effectcolor1(1, 0, 0, 0.2)
                self:effectcolor2(0, 0, 0, 0)
                self:effectperiod(2)
            end,
        }),
        LoadActor(W:Object('boxline'), 'Border', {
            Width  = 620,
            Height = 280,
            Border = 1,
            Color  = color('0.9, 0.1, 0.1, 0.25'),
        }),
    }),
    LoadActor('caution')..{
        InitCommand = function(self)
            self:y(-80)
        end,
        OnCommand = function(self)
            self:diffusealpha(0)
            self:zoomx(2)
            self:sleep(0.3)
            self:linear(0.2)
            self:zoomx(1)
            self:diffusealpha(1)
        end,
    },
    LoadFont('Common Normal')..{
        Text = THEME:GetString('ScreenCaution', 'CautionText'),
        InitCommand = function(self)
            self:y(60)
            self:shadowlengthy(1)
            self:zoom(0.65)
            self:wrapwidthpixels(600/0.65)
        end,
        OnCommand = function(self)
            self:diffusealpha(0)
            self:sleep(0.5)
            self:fadebottom(1)
            self:linear(0.2)
            self:diffusealpha(1)
            self:fadebottom(0)
        end,
    }
})