-- 初回同意画面
local w = 180
local function SelectActor(text, index)
    return Def.ActorFrame({
        Def.Quad({
            InitCommand = function(self)
                self:zoomto(w+2, 22)
                self:diffuse(0, 0, 0, 0.75)
            end,
        }),
        Def.Quad({
            InitCommand = function(self)
                self:zoomto(w, 20)
                self:diffuse(1, 1, 1, 0.75)
                self:diffuseshift()
                self:visible(2 == index)
            end,
            ChangedValueMessageCommand = function(self, params)
                self:visible(params.Value == index)
            end,
        }),
        LoadFont('Common Small Bold')..{
            Text = text,
            InitCommand = function(self)
                self:diffuse(Color('White'))
                self:strokecolor(Color('Outline'))
                self:zoom(0.5)
                self:maxwidth((w-10)/0.5)
            end,
        }
    })
end

return Def.ActorFrame({
    LoadActor(THEME:GetPathG('', 'ScreenInit/note2'), 0, 99999999)..{
        InitCommand = function(self)
            self:zoom(0.9)
        end,
    },
    Def.ActorFrame({
        InitCommand = function(self)
            self:y(SCREEN_CENTER_Y - 80)
        end,
        SelectActor(THEME:GetString('ScreenSetup', 'OKText'), 1)..{
            InitCommand = function(self)
                self:x(-120)
            end,
        },
        SelectActor(THEME:GetString('ScreenSetup', 'NGText'), 2)..{
            InitCommand = function(self)
                self:x(120)
            end,
        },
    }),
})
