local pn, pss = ...
return Def.ActorFrame({
    -- フルコンボエフェクト
    Def.Quad({
        OnCommand = function(self)
            self:playcommand('Redraw', {
                Player = pn,
                Pss    = pss,
            })
        end,
        RedrawCommand = function(self, params)
            local fcColor = W_SCORE:FCColor(params.Player, params.Pss or nil)
            if params.Pss and params.Pss:GetFailed() then
                fcColor = W_JUDGMENT:Color('TapNoteScore_Miss')
            end
            if not fcColor then
                self:visible(false)
                return
            end
            self:visible(true)
            self:horizalign((params.Player == PLAYER_1) and left or right)
            self:zoomto(SCREEN_WIDTH/2, 165)
            self:blend('BlendMode_Add')
            self:fadeleft((params.Player == PLAYER_1) and 0 or 1)
            self:faderight((params.Player == PLAYER_1) and 1 or 0)
            self:diffuse(fcColor)
            self:diffusebottomedge(BoostColor(fcColor, 0.1))
            self:diffusealpha(0.75)
        end,
    }),
})