return Def.ActorFrame({
    LoadFont('Common Bold')..{
        OnCommand = function(self)
            self:y(-11)
            self:diffuse(Color('White'))
            -- ~~ STAGE表記の場合、STAGE部分を省略
            self:settext(string.gsub(W_STAGE:String(true), ' STAGE', ''))
            self:zoom(0.66)
            self:maxwidth(88/0.66)
        end,
    },
    Def.Quad({
        OnCommand = function(self)
            self:diffuse(1.0, 1.0, 1.0, 0.5)
            self:zoomto(88, 1)
            self:fadeleft(0.3)
            self:faderight(0.3)
        end,
    }),
    LoadFont('Common Small Normal')..{
        OnCommand = function(self)
            self:horizalign(left)
            self:diffuse(0.8, 0.8, 0.8, 1.0)
            self:xy(-40, 8)
            self:settext('Life difficulty')
            self:zoom(0.35)
        end,
    },
    LoadFont('Common Small Normal')..{
        OnCommand = function(self)
            self:horizalign(left)
            self:diffuse(0.8, 0.8, 0.8, 1.0)
            self:xy(-40, 20)
            self:settext('Timing difficulty')
            self:zoom(0.35)
        end,
    },
    LoadFont('Common Bold')..{
        OnCommand = function(self)
            self:horizalign(right)
            self:diffuse(0.8, 0.8, 0.8, 1.0)
            self:xy(40, 8)
            self:settext(GetLifeDifficulty())
            self:zoom(0.5)
        end,
    },
    LoadFont('Common Bold')..{
        OnCommand = function(self)
            self:horizalign(right)
            self:diffuse(0.8, 0.8, 0.8, 1.0)
            self:xy(40, 20)
            self:settext(GetTimingDifficulty())
            self:zoom(0.5)
        end,
    },
})
