local wait = ...
return Def.ActorFrame({
    OnCommand = function(self)
        self:addy(-100)
        self:diffusealpha(0)
        self:sleep(wait)
        self:bounceend(0.2)
        self:addy(100)
        self:diffusealpha(1)
    end,
    LoadFont('Common Normal')..{
        Text = THEME:GetString('ScreenInit', 'Note1Title'),
        OnCommand = function(self)
            self:zoom(1.5)
            self:xy(0, -SCREEN_CENTER_Y + 50)
        end,
    },
    LoadFont('Common Small Normal')..{
        Text = string.gsub(THEME:GetString('ScreenInit', 'Note1Text'), '|', '\n'),
        OnCommand = function(self)
            self:vertspacing(18)
            self:zoom(0.65)
            self:horizalign(left)
            self:vertalign(top)
            self:xy(-260, -SCREEN_CENTER_Y + 100)
            self:wrapwidthpixels(520/0.65)
        end,
    },
})