return Def.ActorFrame({
    LoadActor(W:Object('logo/l_movie'))..{
        OnCommand = function(self)
            self:scaletocover(-SCREEN_CENTER_X, -SCREEN_CENTER_Y, SCREEN_CENTER_X, SCREEN_CENTER_Y)
            self:Center()
            self:blend('BlendMode_Add')
            self:rate((YA_VER:Version() < 5300) and 0.5 or 1)
            self:diffuse(0, 0, 0, 0)
            self:diffuselowerleft(1, 1, 1, 0.5)
            self:diffuseupperright(1, 1, 1, 0.5)
        end,
    },
    Def.ActorFrame({
        FOV = 60,
        InitCommand = function(self)
            self:zoom(0.8)
        end,
        OnCommand = function(self)
            self:xy(SCREEN_CENTER_X, SCREEN_CENTER_Y - 50)
            self:zoom(1.25)
        end,
        LoadActor(W:Object('logo/fan'))..{
            InitCommand = function(self)
                self:blend('BlendMode_Add')
                self:rotationx(-30)
                self:rotationy(30)
                self:xy(0, 20)
                self:diffusealpha(0.5)
            end,
            OnCommand = function(self)
                self:diffusealpha(0)
                self:addx(100)
                self:rotationz(-30)
                self:decelerate(0.6)
                self:diffusealpha(0.5)
                self:addx(-100)
                self:rotationz(0)
                self:queuecommand('Spin')
            end,
            SpinCommand = function(self)
                self:spin()
                self:effectmagnitude(0, 0, 3)
            end,
        },
        LoadActor(W:Object('logo/l_alphamap'))..{
            OnCommand = function(self)
                self:MaskSource()
            end,
        },
        LoadActor(W:Object('logo/l_movie'))..{
            OnCommand = function(self)
                self:MaskDest()
            end,
        },
        LoadActor(W:Object('logo/l_overlay')),
    }),
    LoadFont('Common Normal')..{
        Text = ''..W:Ver('main')..' '.. W:Ver('sub')..'\n©WAIEI Project',
        OnCommand = function(self)
            self:xy(SCREEN_CENTER_X + 250, SCREEN_CENTER_Y + 50)
            self:horizalign(right)
            self:vertspacing(10)
            self:zoom(0.8)
            self:addx(100)
            self:diffusealpha(0)
            self:sleep(0.5)
            self:decelerate(0.4)
            self:addx(-100)
            self:diffusealpha(1)
        end,
    },
    Def.Quad({
        OnCommand = function(self)
            self:FullScreen()
            self:Center()
            self:diffuse(0, 0, 0, 0)
        end,
        OffCommand = function(self)
            self:decelerate(0.4)
            self:diffusealpha(1)
        end,
    }),
})