local isMap = ...

return Def.ActorFrame({
    InitCommand = function(self)
        self:visible(not isMap)
        self:xy(SCREEN_RIGHT - 85, 48)
        self:zoom(0.2)
    end,
    OnCommand = function(self)
        self:linear(0.2)
        self:diffusealpha(1)
    end,
    OffCommand = function(self)
        self:linear(0.2)
        self:diffusealpha(0)
    end,
    LoadActor(W:Object('logo/icon'))..{
        InitCommand = function(self)
            self:x(-100)
            self:horizalign(right)
        end,
    },
    LoadActor(W:Object('logo/logo'))..{
        InitCommand = function(self)
            self:x(-120)
            self:horizalign(left)
        end,
    },
    LoadFont('Common Small Normal')..{
        Text = W:Ver('main'),
        InitCommand = function(self)
            self:zoom(2)
            self:xy(300, 25)
        end,
    },
    LoadFont('Common Small Normal')..{
        Text = W:Ver('sub'),
        InitCommand = function(self)
            self:zoom(1.5)
            self:xy(305, 70)
        end,
    },
})