local width, height = ...
width  = 0.1 * width
height = 0.1 * height
local max   = {100, 100, 100,  70,  50,  55,  70, 100,  90,  60}
local min   = { 65,  70,  40,  30,  30,  30,  50,  75,  60,  40}
local cycle = {100, 100, 100, 100,  90,  75,  75,  50,  50,  50}
local spectrums = Def.ActorFrame({})
for i=0, 9 do
    spectrums[#spectrums+1] = LoadActor(W:Object('spectrum'), {
        Width  = width,
        Height = height,
        Max    = max[i+1],
        Min    = min[i+1],
        Cycle  = cycle[i+1],
    })..{
        InitCommand = function(self)
            self:x((i-4.5) * width)
        end,
    }
end
return spectrums
