local t = Def.ActorFrame({
    FOV=90,
    OnCommand = function(self)
        self:Center()
    end,
})

-- 背景
t[#t+1] = LoadActor('../ScreenSelectMusic/_parts/bg')
--[[
-- ステージ
t[#t+1] = LoadActor('_parts/stage')

if GAMESTATE:IsCourseMode() then
    -- コース情報
    t[#t+1] = LoadActor('_parts/course')
else
    -- 曲情報
    t[#t+1] = LoadActor('_parts/song')
end

-- ホイール
t[#t+1] = LoadActor('_parts/wheel')

if GAMESTATE:IsCourseMode() then
else
    -- グループ情報
    t[#t+1] = LoadActor('_parts/group')
    -- 譜面情報
    t[#t+1] = LoadActor('_parts/steps')
    -- レーダー
    t[#t+1] = LoadActor('_parts/radar')
end

-- 開始前に表示するターゲットスコア
t[#t+1] = LoadActor(W:Object('target/static'), 'SelectMusic')..{
    InitCommand = function(self)
        self:xy(-SCREEN_CENTER_X, -SCREEN_CENTER_Y)
    end,
}

--]]

t[#t+1] = Def.HelpDisplay({
    File = 'Common Small Normal',
    InitCommand=function(self)
        self:diffuse(Color('White'))
        self:zoom(0.4);
        self:xy(0, SCREEN_CENTER_Y-12)
        self:SetSecsBetweenSwitches(3.0)
        self:SetTipsColonSeparated(THEME:GetString('ScreenSelectMusic', 'HelperText'..(GAMESTATE:IsEventMode() and 'Event' or 'Arcade')))
    end,
    OffCommand = function(self)
        self:sleep(0.2)
        self:linear(0.3)
        self:addy(30)
    end,
})

return t